Apply credit memo to invoice

POST /api/v1/credit-memos/{credit_memo_id}/apply

Apply a portion or all of a credit memo to an invoice.

Operation ID: apply_credit_memo_api_v1_credit_memos__credit_memo_id__apply_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

credit_memo_id string required

Request body

invoice_id string required

Invoice to apply credit to

amount_cents integer required

Amount to apply in cents

Responses

201 Successful Response

id string required

Application record ID

credit_memo_id string required

Source credit memo ID

invoice_id string required

Invoice the credit was applied to

amount_applied integer required

Amount applied in cents

amount_applied_dollars string required

Amount applied in dollars

applied_at string · date-time required

When the credit was applied

applied_by_user_id string

User who applied the credit

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object